import type { User } from "@/types/api/user";
import { defineStore } from "pinia";
import { ref } from "vue";

export const useUser = defineStore("user", () => {
  const token = ref<string | null>(null);
  const userinfo = ref<User | null>(null);

  function logout() {
    token.value = null
    userinfo.value = null
  }

  return {
    token,
    userinfo,
    logout,
  };
});
