export interface User {
  id: number;
  username: string;
  email: string;
  avatar: string;
  department_id: null;
  creator_id: number;
  status: number;
  login_ip: string;
  login_at: number;
  created_at: string;
  updated_at: string;
  deleted_at: Date;
  permissions: Permission[];
  roles: any[];
  jobs: any[];
}

export interface Permission {
  id: number;
  parent_id: number;
  permission_name: string;
  route: string;
  icon: string;
  module: PermissionModule;
  permission_mark: string;
  component: string;
  redirect: null | string;
  keepalive: number;
  type: number;
  hidden: boolean;
  sort: number;
  active_menu: string;
  creator_id: number;
  created_at: string;
  updated_at: string;
}

export enum PermissionModule {
  Lesson = "lesson",
  Permissions = "permissions",
  User = "user",
}
